from danswer.datastores.interfaces import DatastoreFilter
from pydantic import BaseModel


class ServerStatus(BaseModel):
    status: str


class QAQuestion(BaseModel):
    query: str
    collection: str
    filters: list[DatastoreFilter] | None


class QAResponse(BaseModel):
    answer: str | None
    quotes: dict[str, dict[str, str | int | None]] | None


class KeywordResponse(BaseModel):
    results: list[str] | None
